package premium_store.controller.DTO;

import com.fasterxml.jackson.annotation.JsonProperty;
import premium_store.model.Nation;

public class SimpleNationDTO {
    private Long id;
    private String nation;

    public SimpleNationDTO(){}

    public SimpleNationDTO(Nation nation){
        this.id = nation.getId();
        this.nation = nation.getNation();
    }

    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    public Long getId(){
        return id;
    }

    public void setId(Long id){
        this.id = id;
    }

    public String getNation(){
        return nation;
    }

    public void setNation(String nation){
        this.nation = nation;
    }
}
